import 'package:equatable/equatable.dart';
import 'package:json_annotation/json_annotation.dart';

part 'category.g.dart';

@JsonSerializable(explicitToJson: true)
class Category extends Equatable {
  final String id;
  final String name;

  Category(this.id, this.name);

  Category copyWith({String id, String name}) {
    return Category.named(id: id, name: name);
  }

  Category.named({this.id, this.name});

  @override
  List<Object> get props => [id, name];

  Map<String, dynamic> toJson() => _$CategoryToJson(this);

  factory Category.fromJson(json) => _$CategoryFromJson(json);
}
